<?php

$glass_artifact_custom_css = '';

/*---------------------------text-transform-------------------*/

$glass_artifact_text_transform = get_theme_mod( 'menu_text_transform_glass_artifact','CAPITALISE');
if($glass_artifact_text_transform == 'CAPITALISE'){

	$glass_artifact_custom_css .='.main-navigation ul li a{';

		$glass_artifact_custom_css .='text-transform: capitalize ;';

	$glass_artifact_custom_css .='}';

}else if($glass_artifact_text_transform == 'UPPERCASE'){

	$glass_artifact_custom_css .='.main-navigation ul li a{';

		$glass_artifact_custom_css .='text-transform: uppercase ;';

	$glass_artifact_custom_css .='}';

}else if($glass_artifact_text_transform == 'LOWERCASE'){

	$glass_artifact_custom_css .='.main-navigation ul li a{';

		$glass_artifact_custom_css .='text-transform: lowercase ;';

	$glass_artifact_custom_css .='}';
}

	/*---------------------------menu-zoom-------------------*/

		$glass_artifact_menu_zoom = get_theme_mod( 'glass_artifact_menu_zoom','None');

    if($glass_artifact_menu_zoom == 'None'){

		$glass_artifact_custom_css .='.main-navigation ul li a{';

			$glass_artifact_custom_css .='';

		$glass_artifact_custom_css .='}';

	}else if($glass_artifact_menu_zoom == 'Zoominn'){

		$glass_artifact_custom_css .='.main-navigation ul li a:hover{';

			$glass_artifact_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: var(--first-color);';

		$glass_artifact_custom_css .='}';
	}

/*---------------------------Container Width-------------------*/

$glass_artifact_container_width = get_theme_mod('glass_artifact_container_width');

	$glass_artifact_custom_css .='body{';

		$glass_artifact_custom_css .='width: '.esc_attr($glass_artifact_container_width).'%; margin: auto;';

	$glass_artifact_custom_css .='}';

	/*---------------------------Scroll to Top Alignment Settings-------------------*/

	$glass_artifact_scroll_top_position = get_theme_mod( 'glass_artifact_scroll_top_position','Right');

	if($glass_artifact_scroll_top_position == 'Right'){

		$glass_artifact_custom_css .='.scroll-up{';

			$glass_artifact_custom_css .='right: 20px;';

		$glass_artifact_custom_css .='}';

	}else if($glass_artifact_scroll_top_position == 'Left'){

		$glass_artifact_custom_css .='.scroll-up{';

			$glass_artifact_custom_css .='left: 20px;';

		$glass_artifact_custom_css .='}';

	}else if($glass_artifact_scroll_top_position == 'Center'){

		$glass_artifact_custom_css .='.scroll-up{';

			$glass_artifact_custom_css .='right: 50%;left: 50%;';

		$glass_artifact_custom_css .='}';
	}

		/*---------------------------Pagination Settings-------------------*/


$glass_artifact_pagination_setting = get_theme_mod('glass_artifact_pagination_setting',true);

	if($glass_artifact_pagination_setting == false){

		$glass_artifact_custom_css .='.nav-links{';

			$glass_artifact_custom_css .='display: none;';

		$glass_artifact_custom_css .='}';
	}

	/*---------------------------related Product Settings-------------------*/


$glass_artifact_related_product_setting = get_theme_mod('glass_artifact_related_product_setting',true);

	if($glass_artifact_related_product_setting == false){

		$glass_artifact_custom_css .='.related.products, .related h2{';

			$glass_artifact_custom_css .='display: none;';

		$glass_artifact_custom_css .='}';
	}

	/*---------------------------Copyright Text alignment-------------------*/

$glass_artifact_copyright_text_alignment = get_theme_mod( 'glass_artifact_copyright_text_alignment','LEFT-ALIGN');

 if($glass_artifact_copyright_text_alignment == 'LEFT-ALIGN'){

		$glass_artifact_custom_css .='.copy-text p{';

			$glass_artifact_custom_css .='text-align:left;';

		$glass_artifact_custom_css .='}';


	}else if($glass_artifact_copyright_text_alignment == 'CENTER-ALIGN'){

		$glass_artifact_custom_css .='.copy-text p{';

			$glass_artifact_custom_css .='text-align:center;';

		$glass_artifact_custom_css .='}';


	}else if($glass_artifact_copyright_text_alignment == 'RIGHT-ALIGN'){

		$glass_artifact_custom_css .='.copy-text p{';

			$glass_artifact_custom_css .='text-align:right;';

		$glass_artifact_custom_css .='}';
	}
	
	/*---------------------------woocommerce pagination alignment settings-------------------*/

	$glass_artifact_woocommerce_pagination_position = get_theme_mod( 'glass_artifact_woocommerce_pagination_position','Center');

	if($glass_artifact_woocommerce_pagination_position == 'Left'){

		$glass_artifact_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$glass_artifact_custom_css .='text-align: left;';

		$glass_artifact_custom_css .='}';

	}else if($glass_artifact_woocommerce_pagination_position == 'Center'){

		$glass_artifact_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$glass_artifact_custom_css .='text-align: center;';

		$glass_artifact_custom_css .='}';

	}else if($glass_artifact_woocommerce_pagination_position == 'Right'){

		$glass_artifact_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$glass_artifact_custom_css .='text-align: right;';

		$glass_artifact_custom_css .='}';
	}

/*---------------------------Global Color-------------------*/


$glass_artifact_first_color = get_theme_mod('glass_artifact_first_color');
$glass_artifact_second_color = get_theme_mod('glass_artifact_second_color');
$glass_artifact_third_color = get_theme_mod('glass_artifact_third_color');


/*--- First Global Color ---*/

if ($glass_artifact_first_color) {
  $glass_artifact_custom_css .= ':root {';
  $glass_artifact_custom_css .= '--first-color: ' . esc_attr($glass_artifact_first_color) . ' !important;';
  $glass_artifact_custom_css .= '} ';
}

/*--- Second Global Color ---*/

if ($glass_artifact_second_color) {
  $glass_artifact_custom_css .= ':root {';
  $glass_artifact_custom_css .= '--second-color: ' . esc_attr($glass_artifact_second_color) . ' !important;';
  $glass_artifact_custom_css .= '} ';
}

/*--- Third Global Color ---*/

if ($glass_artifact_third_color) {
  $glass_artifact_custom_css .= ':root {';
  $glass_artifact_custom_css .= '--third-color: ' . esc_attr($glass_artifact_third_color) . ' !important;';
  $glass_artifact_custom_css .= '} ';
}